Metacat - Bug #4027

JSESSIONID is not expiring, causing a security risk
04/24/2009 04:50 PM - Shaun Walbridge

Status: Closed Start date: 04/24/2009
Priority: Normal Due date:

Assignee: Michael Daigle % Done: 0%
Category: metacat Estimated time: 0.00 hour
Target version: Unspecified Spent time: 0.00 hour
Bugzilla-ld: 4027

Description

The session ids used by Metacat are currently configured to timeout after 30,000 minutes, or ~3 weeks. This should probably be
shortened to something more reasonable, as a security precaution. We already use cookies for the registry (perhaps elsewhere?)

and may want to replace sessionid use purely with cookies.

History

#1 - 03/27/2013 02:25 PM - Redmine Admin
Original Bugzilla ID was 4027

#2 - 04/09/2013 01:14 PM - ben leinfelder

- Status changed from New to Closed

isn't this just 6 hours?

session.timeoutMinutes=360
